
USE AdventureWorks
GO

-- you have this query
-- parallelizing it causes a problem
SELECT TOP 1 * FROM Sales.SalesOrderHeader h ORDER BY OrderDate DESC
GO

-- you create a plan guide for serialize the query
sp_create_plan_guide 
@name = N'GuideSerialize', 
@stmt = N'SELECT TOP 1 * FROM Sales.SalesOrderHeader h ORDER BY OrderDate DESC',  
@type = N'SQL',
@module_or_batch = NULL, 
@params = NULL, 
@hints = N'OPTION (MAXDOP 1)'
GO

